Bug 374751 - Error updating with pup
Error updating with pup
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: sos (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Francois Dechery
: Reopened
Depends On:
  Show dependency treegraph
Reported: 2007-11-10 10:35 EST by Brandi
Modified: 2013-03-13 02:28 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-06-08 13:18:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Brandi 2007-11-10 10:35:04 EST
Description of problem:
When updating packages using pup, at the point where the packages are downloaded
and installing, an error occurs when updating sysreport. If running yum update
at the command line the error does not occur. 

Version-Release number of selected component (if applicable):

How reproducible:
Consistently on x86 and x86_64

Steps to Reproduce:
1. Run GUI package updater
2. Select All Updates
3. Apply updates
Actual results:
[('file /usr/sbin/sysreport conflicts between attempted installs of
sysreport-1.4.3-13.el5 and sos-1.7-9.1.el5', (6, '/usr/sbin/sysreport', 0L)),
('file /usr/share/sysreport/functions conflicts between attempted installs of
sysreport-1.4.3-13.el5 and sos-1.7-9.1.el5', (6,
'/usr/share/sysreport/functions', 0L))]

Expected results:
Successful Update

Additional info:
I am assuming this is because sysreport is being depricated in RHEL5 update1.
Yum successfully erases sysreport and pup does not.
Comment 1 Jeremy Katz 2007-11-12 11:12:06 EST
This looks like sos is missing appropriate obsoletes.
Comment 2 Navid Sheikhol-Eslami 2007-11-12 11:27:26 EST

I have been reported a similar problem by another user by I have been unable to
replicate. SoS obsoletes "sysreport" but also provides it:

[root@localhost ~]# rpm -q --provides sos
sysreport = 1.3.15-8
sos = 1.7-9.1.el5

Not sure what the problem is here, but it sounds like it lays in "pup" rather
than sos itself.

Any chance you could upload a sosreport (or sysreport) from your system ?

Thank you.

-- Navid
Comment 7 Adam Stokes 2009-06-08 13:18:28 EDT
This should've been fixed already. Please open a new bug if not.


Note You need to log in before you can comment on or make changes to this bug.